# Wyrmx Core

**Wyrmx Core** is the foundational engine of the **Wyrmx** web framework — a blazing-fast, opinionated, FastAPI-based Python framework inspired by **NestJS**.  
It provides the core building blocks: **dependency injection**, **controllers**, **services**, **routing**, and powerful decorators to build clean, maintainable web apps.

---

## 🚀 Features

- ✅ Structured **MVC** architecture
- ✅ Powerful **DI container**
- ✅ decorators for classes to simplify coding 
- ✅ Automatic routing and endpoint binding
- ✅ Alembic integration 
- ✅ FastAPI under the hood — no boilerplate

---

## 📦 Installation

This package is meant to be included via the **Wyrmx CLI**.  

## ✅ License
MIT


## 🛠️ Author
Made by **Yousri Aouledissa**


## 📌 Notes
**Wyrmx Core** is the internal framework engine.

Use with the official [**Wyrmx CLI**](https://github.com/Wyrmx/Wyrmx-CLI).

